### Hierarchy

- MultiTargetRenderer

### Implements

- IRenderer

## Index

### Constructors

- constructor

### Properties

- renderers

### Methods

- appendContent
- appendSuggest
- init
- render
- resolve

## Constructors

### constructor

- new MultiTargetRenderer(renderers: RendererByChannelId): MultiTargetRenderer

- - Defined in lib/renderer/MultiTargetRenderer.ts:9

  #### Parameters

  - ##### renderers: RendererByChannelId

  #### Returns MultiTargetRenderer

## Properties

### renderers

renderers: RendererByChannelId

- Defined in lib/renderer/MultiTargetRenderer.ts:9

## Methods

### appendContent

- appendContent(element: HTMLElement, channelId?: undefined | string): void

- - Defined in lib/renderer/MultiTargetRenderer.ts:33

  #### Parameters

  - ##### element: HTMLElement

  - ##### Optional channelId: undefined | string

  #### Returns void

### appendSuggest

- appendSuggest(element: HTMLElement, channelId?: undefined | string): void

- - Defined in lib/renderer/MultiTargetRenderer.ts:38

  #### Parameters

  - ##### element: HTMLElement

  - ##### Optional channelId: undefined | string

  #### Returns void

### init

- init(): void

- - Defined in lib/renderer/MultiTargetRenderer.ts:15

  #### Returns void

### render

- render(message: ISpecification | IRenderable, containerType?: IStackeable): HTMLElement[]

- Implementation of IRenderer.render

  - Defined in lib/renderer/MultiTargetRenderer.ts:43

  #### Parameters

  - ##### message: ISpecification | IRenderable

  - ##### Optional containerType: IStackeable

  #### Returns HTMLElement[]

### Private resolve

- resolve(channelId: string): null | IRenderer

- - Defined in lib/renderer/MultiTargetRenderer.ts:24

  #### Parameters

  - ##### channelId: string

  #### Returns null | IRenderer

Generated using TypeDoc